package cn.com.poc.agent_application.domain;

/**
 * agent应用知识配置
 */
public class AgentApplicationKnowledgeConfig {

    /**
     * knowledge_ids
     * 知识库ID
     */
    private java.lang.Integer[] knowledgeIds;

    public java.lang.Integer[] getKnowledgeIds() {
        return this.knowledgeIds;
    }

    public void setKnowledgeIds(java.lang.Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }

    /**
     * is_document_parsing
     * 是否开启文档解析 1、Y 是 2、N 否
     */
    private java.lang.String isDocumentParsing;

    public java.lang.String getIsDocumentParsing() {
        return this.isDocumentParsing;
    }

    public void setIsDocumentParsing(java.lang.String isDocumentParsing) {
        this.isDocumentParsing = isDocumentParsing;
    }

    /**
     * 知识库检索方式
     * 1、混合检索  - MIX
     * 2、语义检索  - SEMANTIC
     * 3. 关键词检索 - KEY_WORD
     */
    private java.lang.String knowledgeSearchType;

    public String getKnowledgeSearchType() {
        return knowledgeSearchType;
    }

    public void setKnowledgeSearchType(String knowledgeSearchType) {
        this.knowledgeSearchType = knowledgeSearchType;
    }


    /**
     * 知识库相似度阈值
     */
    private Double knowledgeSimilarity;

    public Double getKnowledgeSimilarity() {
        return knowledgeSimilarity;
    }

    public void setKnowledgeSimilarity(Double knowledgeSimilarity) {
        this.knowledgeSimilarity = knowledgeSimilarity;
    }

    /**
     * 知识库检索结果数量
     */
    private Integer knowledgeNResult;

    public Integer getKnowledgeNResult() {
        return knowledgeNResult;
    }

    public void setKnowledgeNResult(Integer knowledgeNResult) {
        this.knowledgeNResult = knowledgeNResult;
    }



    /**
     * knowledge_response_type
     * 知识库回复类型
     * default-默认
     * custom-自定义
     */
    private String knowledgeResponseType;

    public String getKnowledgeResponseType() {
        return knowledgeResponseType;
    }

    public void setKnowledgeResponseType(String knowledgeResponseType) {
        this.knowledgeResponseType = knowledgeResponseType;
    }


    /**
     * knowledge_custom_response
     * 知识库自定义回复内容
     */
    private String[] knowledgeCustomResponse;

    public String[] getKnowledgeCustomResponse() {
        return knowledgeCustomResponse;
    }

    public void setKnowledgeCustomResponse(String[] knowledgeCustomResponse) {
        this.knowledgeCustomResponse = knowledgeCustomResponse;
    }
}
